/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\Artifacts of Assimilation\artifacts\lessers\SearingPain.cs
Lines of code: 39
***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class SearingPain : CompositeBow
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		[Constructable]
		public SearingPain() : base()
		{
			Name="Searing Pain";
			Hue= 2118;	
			Attributes.WeaponDamage = 25;
			Attributes.WeaponSpeed = 35;
			Attributes.AttackChance = 10;
			Attributes.LowerManaCost = 10;
			
			AosElementDamages.Physical=50;
			AosElementDamages.Fire=50;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;			
		}
		
		

		public SearingPain( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
}